## Get a specific price list

### cURL

```
curl --request GET \
  --url 'https://live.copilot.fabric.inc/api-offers/price-list/{priceListId}?filterBy=priceListId' \
  --header 'Authorization: Bearer <token>' \
  --header 'x-site-context: <x-site-context>'
```

### Python

```
import requests

url = "https://live.copilot.fabric.inc/api-offers/price-list/{priceListId}?filterBy=priceListId"

headers = {
    "x-site-context": "<x-site-context>",
    "Authorization": "Bearer <token>"
}

response = requests.get(url, headers=headers)

print(response.text)
```

### JavaScript

```
const options = {
  method: 'GET',
  headers: {'x-site-context': '<x-site-context>', Authorization: 'Bearer <token>'}
};

fetch('https://live.copilot.fabric.inc/api-offers/price-list/{priceListId}?filterBy=priceListId', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
```

### PHP

```


```

### Response Examples

#### Successful Response (200)
```
{
  "_id": "614b58924e92f6861ac9d43b",
  "priceListId": 10000003,
  "name": "BuildMuscles-CONTRACT123",
  "isDefault": false,
  "currency": "USD",
  "startDate": "2021-05-04T09:23:51.459Z",
  "endDate": "2021-06-09T09:23:51.459Z",
  "deleted": false,
  "createdAt": "2020-12-14T12:15:43.646Z",
  "updatedAt": "2021-12-14T12:15:43.646Z"
}
```

#### Price List Not Found (404)
```
{
  "code": "PRICE_LIST_NOT_FOUND",
  "message": "No Price List with this ID Found"
}
```

#### Internal Server Error (500)
```
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error."
}
```

### Authorizations

#### Authorization

- **Type:** string
- **Location:** header
- **Required:** Yes
- **Description:** Bearer authentication header of the form `Bearer <token>`, where `<token>` is your auth token.

### Headers

#### x-site-context

- **Type:** string
- **Required:** Yes
- **Description:** The `x-site-context` header is a JSON object containing information about the source you wish to pull from.
